<?php
use Linguise\Script\Core\Configuration;

define('LINGUISE_SCRIPT_TRANSLATION', true);
define('LINGUISE_SCRIPT_TRANSLATION_VERSION', 'wordpress_plugin/1.5.0');

ini_set('display_errors', false);

require_once(__DIR__ . DIRECTORY_SEPARATOR . 'vendor' . DIRECTORY_SEPARATOR . 'autoload.php');

// For development and debugging purpose
if (file_exists(__DIR__ . DIRECTORY_SEPARATOR . 'Configuration.php')) {
    require(__DIR__ . DIRECTORY_SEPARATOR . 'Configuration.php');

    foreach (get_class_vars(\Linguise\Script\Configuration::class) as $attribute_name => $attribute_value) {
        Configuration::getInstance()->set($attribute_name, $attribute_value);
    }
}

Configuration::getInstance()->set('cms', 'wordpress');
Configuration::getInstance()->set('base_dir', realpath(__DIR__ . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR  . '..' . DIRECTORY_SEPARATOR  . '..') . DIRECTORY_SEPARATOR);

$token = \Linguise\Script\Core\Database::getInstance()->retrieveWordpressOption('token', $_SERVER['HTTP_HOST']);
$cache_enabled = \Linguise\Script\Core\Database::getInstance()->retrieveWordpressOption('cache_enabled');
$cache_max_size = \Linguise\Script\Core\Database::getInstance()->retrieveWordpressOption('cache_max_size');
Configuration::getInstance()->set('token', $token);

Configuration::getInstance()->set('cache_enabled', $cache_enabled);
Configuration::getInstance()->set('cache_max_size', $cache_max_size);

$processor = new \Linguise\Script\Core\Processor();
// phpcs:disable WordPress.Security.NonceVerification.Recommended -- View request, no action
if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_GET['linguise_language']) && $_GET['linguise_language'] === 'zz-zz') {
    $processor->editor();
} elseif (in_array($_SERVER['REQUEST_METHOD'], array('POST', 'HEAD')) && isset($_GET['linguise_language']) && $_GET['linguise_language'] === 'zz-zz' &&  isset($_GET['linguise_action']) && $_GET['linguise_action'] === 'clear-cache') {
    $processor->clearCache();
} else {
    $processor->run();
}
