<?php
defined('ABSPATH') || die('');
?>
<div class="content">
    <ul>
        <li class="linguise-settings-option full-width">
            <div class="full-width">
                <label for="id-cache_enabled"
                       class="linguise-setting-label label-bolder linguise-label-inline linguise-tippy" data-tippy="<?php esc_html_e('Store URLs and some translated content in a local cache to render the pages faster', 'linguise'); ?>"><?php esc_html_e('Use cache', 'linguise'); ?><span class="material-icons">help_outline</span></label>
                <div class="linguise-switch-button" style="float: left">
                    <label class="switch">
                        <input type="hidden" name="linguise_options[cache_enabled]" value="0">
                        <input type="checkbox" id="id-cache_enabled" name="linguise_options[cache_enabled]"
                               value="1" <?php echo isset($options['cache_enabled']) ? (checked($options['cache_enabled'], 1)) : (''); ?> />
                        <div class="slider"></div>
                    </label>
                </div>
            </div>

            <div class="full-width" style="display: flex; align-items: center">
                <label for="id-cache_enabled"
                       class="linguise-setting-label label-bolder"><?php esc_html_e('Maximum cache disk space usage (in MB)', 'linguise'); ?></label>
                <input type="number" name="linguise_options[cache_max_size]"
                       value="<?php echo (int)$options['cache_max_size'] ?>" style="margin-left: 20px; width: 100px;">
            </div>
        </li>

        <li class="linguise-settings-option full-width">
            <label for="browser_redirect" class="linguise-setting-label label-bolder linguise-label-inline linguise-tippy"
                   data-tippy="<?php esc_html_e('Automatically redirect users based on the browser language. The user will still be able to change the language manually but this is NOT recommended as users may use various browser languages or speak several languages', 'linguise'); ?>"><?php esc_html_e('Browser Language Redirect', 'linguise'); ?><span class="material-icons">help_outline</span></label>
            <div class="linguise-switch-button">
                <label class="switch">
                    <input type="hidden" name="linguise_options[browser_redirect]" value="0">
                    <input type="checkbox" id="browser_redirect" name="linguise_options[browser_redirect]"
                           value="1" <?php echo isset($options['browser_redirect']) ? (checked($options['browser_redirect'], 1)) : (''); ?> />
                    <div class="slider"></div>
                </label>
            </div>
        </li>
        <li class="linguise-settings-option full-width transparent-option">
            <label for="pre_text"
                   class="linguise-setting-label label-bolder linguise-tippy" data-tippy="<?php esc_html_e('Add some text before the language switcher content in the popup view. HTML is also OK', 'linguise'); ?>"><?php esc_html_e('Pre-text in language popup', 'linguise'); ?><span class="material-icons">help_outline</span></label>
            <div class="items-blocks"><textarea name="linguise_options[pre_text]"
                                                id="pre_text"><?php echo esc_html($options['pre_text']) ?></textarea>
            </div>
        </li>
        <li class="linguise-settings-option full-width transparent-option">
            <label for="post_text"
                   class="linguise-setting-label label-bolder linguise-tippy" data-tippy="<?php esc_html_e('Add some text after the language switcher content in the popup view. HTML is also OK', 'linguise'); ?>"><?php esc_html_e('Post-text in language popup', 'linguise'); ?><span class="material-icons">help_outline</span></label>
            <div class="items-blocks"><textarea name="linguise_options[post_text]"
                                                id="post_text"><?php echo esc_html($options['post_text']) ?></textarea>
            </div>
        </li>
        <li class="linguise-settings-option full-width transparent-option">
            <label for="custom_css"
                   class="linguise-setting-label label-bolder linguise-tippy" data-tippy="<?php esc_html_e('Add custom CSS to apply on the Linguise language switcher', 'linguise'); ?>"><?php esc_html_e('Custom CSS Field:', 'linguise'); ?><span class="material-icons">help_outline</span></label>
            <div class="items-blocks"><textarea cols="100" rows="5" class="custom_css"
                                                name="linguise_options[custom_css]"
                                                id="custom_css"><?php echo esc_html($options['custom_css']) ?></textarea>
            </div>
        </li>
    </ul>
</div>
