<?php
defined('ABSPATH') || die('');
$options = linguiseGetOptions();
$language_name_display = isset($options['language_name_display']) ? $options['language_name_display'] : 'en';
// Get from module parameters the enable languages
$languages_enabled_param = isset($options['enabled_languages']) ? $options['enabled_languages'] : array();
// Generate language list with default language as first item
if ($language_name_display === 'en') {
    $language_list = array($options['default_language'] => $languages_names[$options['default_language']]['name']);
} else {
    $language_list = array($options['default_language'] => $languages_names[$options['default_language']]['original_name']);
}

foreach ($languages_enabled_param as $language) {
    if ($language === $options['default_language']) {
        continue;
    }

    if (!isset($languages_names[$language])) {
        continue;
    }

    if ($language_name_display === 'en') {
        $language_list[$language] = $languages_names[$language]['name'];
    } else {
        $language_list[$language] = $languages_names[$language]['original_name'];
    }
}

$config = array_merge(array(
    'all_languages' => $languages_names,
    'languages' => $language_list,
), $options);
?>
<div class="content aside">
    <ul style="display: table-cell">
        <li class="linguise-settings-option full-width">
            <label class="linguise-setting-label label-bolder aside-label"
                   style="padding-left: 0"><?php esc_html_e('Edit your translations', 'linguise'); ?></label>
            <div class="items-blocks edit-translation-link">
                <ul>
                    <li><a href="https://www.linguise.com/documentation" target="_blank"
                           class="linguise-button aside-button waves-effect waves-light small-radius"><?php esc_html_e('Documentation', 'linguise'); ?></a>
                    </li>
                    <li><a href="https://dashboard.linguise.com" target="_blank"
                           class="linguise-button aside-button waves-effect waves-light small-radius"><?php esc_html_e('Linguise dashboard', 'linguise'); ?></a>
                    </li>
                </ul>
            </div>
        </li>
        <li class="linguise-settings-option full-width">
            <label class="linguise-setting-label label-bolder aside-label"
                   style="padding-left: 0"><?php esc_html_e('Language List Preview', 'linguise'); ?></label>
            <div class="items-blocks linguise_preview"
                 data-config="<?php echo esc_attr(htmlspecialchars(json_encode($config), ENT_QUOTES, 'UTF-8')) ?>">

            </div>
        </li>
    </ul>
</div>