<?php

namespace Linguise\Script\Core;

defined('LINGUISE_SCRIPT_TRANSLATION') or die();

class Boundary
{
    /**
     * Generated boundary
     *
     * @var string|null
     */
    protected $boundary = null;

    /**
     * Post field content
     *
     * @var string
     */
    protected $content = '';

    public function __construct()
    {
        $this->boundary = '------'.substr(str_shuffle(str_repeat($c='0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ', ceil(15/strlen($c)) )),1, 10);
    }

    public function getBoundary()
    {
        return $this->boundary;
    }

    public function generatePostFields($name, $value)
    {
        $this->content .= '--'.$this->boundary."\r\n";
        $this->content .= "Content-Disposition: form-data; name=\"".$name."\"\r\n\r\n".$value."\r\n";
    }

    protected function endPostFields()
    {
        $this->content .= '--'.$this->boundary.'--';
    }

    public function getContent()
    {
        $this->endPostFields();
        return $this->content;
    }
}